1. Account Aggregator
FinEye Financial Analysis Suite
  • Bank Statement Analysis
    • Generate Session ID
      POST
    • Upload
      POST
    • Start Analysis
      POST
    • Check Status
      POST
    • Retrieve Report
      GET
  • Data Parsing
    • Generate Session ID
      POST
    • Upload
      POST
    • Pre Analysis
      POST
    • Data Parsing
      POST
    • Pre Analysis with Data Parsing
      POST
    • Check Status
      POST
    • Retrieve Report
      GET
  • Account Aggregator
    • Consent Generate URL
      POST
    • FIU Fetch Consent Customer
      GET
    • FIU Fetch Consent
      GET
    • Generate Session from Consent ID
      POST
    • Fetch Session Data
      POST
  • GST Analysis
    • Generate Session ID
      POST
  1. Account Aggregator

Consent Generate URL

BSA Prod
https://analysis.fineye.co
BSA Prod
https://analysis.fineye.co
POST
https://analysis.fineye.co
/generate-url
Creates a new consent request and returns a redirection URL for the customer to approve data sharing.

Request

Header Params

Body Params application/json

Examples

Responses

🟢200OKRES
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://analysis.fineye.co/generate-url' \
--header 'authkey;' \
--header 'Content-Type: application/json' \
--data '{
    "client_reference_id": "BR-290432",
    "callback_url": "https://yourorg.in/getAAData",
    "redirect_url": "https://yourridirectURL.in",
    "mobile_number": "9876543210",
    "pan_number": "ABCDEE1234M",
    "fip_ids": [
        "test_fip_1",
        "test_fip_2"
    ],
    "consents": [
        {
            "template_id": "CT001",
            "consent_expiry": {
                "value": 1,
                "unit": "MONTH"
            },
            "frequency": {
                "value": 1,
                "unit": "DAY"
            },
            "data_life": {
                "value": 1,
                "unit": "MONTH"
            },
            "from_date": "06-05-2025",
            "to_date": "05-05-2026",
            "fi_types": [
                "GSTR1_3B",
                "DEPOSIT"
            ]
        },
        {
            "template_id": "CT003",
            "consent_expiry": {
                "value": 5,
                "unit": "YEAR"
            },
            "frequency": {
                "value": 5,
                "unit": "MONTH"
            },
            "data_life": {
                "value": 1,
                "unit": "MONTH"
            },
            "from_date": "01-01-2026",
            "to_date": "05-05-2026",
            "fi_types": [
                "GSTR1_3B",
                "DEPOSIT"
            ]
        },
        {
            "template_id": "CT035",
            "consent_expiry": {
                "value": 8,
                "unit": "YEAR"
            },
            "frequency": {
                "value": 1,
                "unit": "DAY"
            },
            "data_life": {
                "value": 1,
                "unit": "MONTH"
            },
            "from_date": "05-05-2026",
            "to_date": "05-05-2026",
            "fi_types": [
                "DEPOSIT"
            ]
        }
    ]
}'
Response Response Example
{
  "api_category": "Account Aggregator Suite",
  "api_name": "Fineye - Generate Consent URL",
  "datetime": "2026-05-08 15:39:32.261377",
  "message": "Success",
  "result": {
    "consent_handle": {
      "CT001": "2aec3294-9e12-471f-a5e2-18c8e331a17f",
      "CT003": "cae69b96-41f2-4958-9db8-720acbdaf0a4",
      "CT035": "cae69b96-41f2-4958-9db8-498vsdjnd4d2"
    },
    "redirection_url": "https://aawebsite.in/login"
  },
  "status": "OKRES",
  "txn_id": "24ec67f3-b83c-4f86-9b4b-505605e1714e"
}
Modified at 2026-07-03 08:22:18
Previous
Account Aggregator
Next
FIU Fetch Consent Customer
Built with